# Method: images.annotate

- [HTTP request](https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/images/annotate#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/images/annotate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/images/annotate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/images/annotate#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/images/annotate#body.aspect)
- [Try it!](https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/images/annotate#try-it)

Run image detection and annotation for a batch of images.

### HTTP request

`POST https://vision.googleapis.com/v1p3beta1/images:annotate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "requests": [ { object (`https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/AnnotateImageRequest`) } ], "parent": string } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/AnnotateImageRequest`)`` Required. Individual image annotation requests for this batch. |
| `parent` | `string` Optional. Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no parent is specified, a region will be chosen automatically. Supported location-ids: `us`: USA country only, `asia`: East asia areas, like Japan, Taiwan, `eu`: The European Union. Example: `projects/project-A/locations/eu`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision/docs/reference/rest/v1p3beta1/BatchAnnotateImagesResponse`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-vision`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).